# Retrieve an early fraud warning

Retrieves the details of an early fraud warning that has previously been created.

Please refer to the [early fraud warning](https://docs.stripe.com/api/radar/early_fraud_warnings/retrieve.md#early_fraud_warning_object) object reference for more details.

## Request

```curl
curl https://api.stripe.com/v1/radar/early_fraud_warnings/{{EARLY_FRAUD_WARNING_ID}} \
  -u "<<YOUR_SECRET_KEY>>:" \
  -H "Stripe-Version: 2026-10-28.endive"
```

### Response

```json
{
  "id": "issfr_1NnrwHBw2dPENLoi9lnhV3RQ",
  "object": "radar.early_fraud_warning",
  "actionable": true,
  "charge": "ch_1234",
  "created": 123456789,
  "fraud_type": "misc",
  "livemode": false
}
```

## Parameters

- `id` (string, required)
  Unique identifier for the object.

## Returns

Returns an EarlyFraudWarning if a valid identifier was provided.
